javafx.beans.property.adapter

## Interface JavaBeanProperty<T>

- All Superinterfaces:
    Observable, ObservableValue<T>, Property<T>, ReadOnlyJavaBeanProperty<T>, ReadOnlyProperty<T>, WritableValue<T>
  All Known Implementing Classes:
    JavaBeanBooleanProperty, JavaBeanDoubleProperty, JavaBeanFloatProperty, JavaBeanIntegerProperty, JavaBeanLongProperty, JavaBeanObjectProperty, JavaBeanStringProperty

      public interface JavaBeanProperty<T>
      extends ReadOnlyJavaBeanProperty<T>, Property<T>

  `JavaBeanProperty&lt;T&gt;` is the super interface of all adapters between writable Java Bean properties and JavaFX properties.
  Since:
    JavaFX 2.1

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.property.adapter.ReadOnlyJavaBeanProperty

      `dispose, fireValueChangedEvent`

    - ### Methods inherited from interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue, setValue`

Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.